import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import HiveLogoLight from './HiveLogoLight';
import HiveLogoDark from './HiveLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const HiveLogoSvg = forwardRef(function HiveLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(HiveLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(HiveLogoLight, Object.assign({}, props, { ref: ref }));
});
export default HiveLogoSvg;
